# Class Driver

code »

    WebDriver
      └ Driver

A WebDriver client for Firefox.

## Constructor

Driver ( opt_config, opt_flow )

Parameters

opt_config: `(Options|webdriver.Capabilities|Object)=`
  The configuration options for this driver, specified as either an `Options` or `webdriver.Capabilities`, or as a raw hash object.
opt_flow: `webdriver.promise.ControlFlow=`
  The flow to schedule commands through. Defaults to the active flow object.

Show:Public Protected Private

## Instance Properties

code »executor_ : `!webdriver.CommandExecutor`
code »flow_ : `!webdriver.promise.ControlFlow`
code »session_ : `!(webdriver.Session|webdriver.promise.Promise)`